Upload transaction supporting document
curl --request POST \
--url https://api.conduit.financial/customers/{id}/documents \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>' \
--data '
{
"documentId": "doc_2ofTA13AD0xBtbEvBl20aEb1hEu",
"purpose": "transaction_justification",
"type": "contract",
"name": "Contract"
}
'import requests
url = "https://api.conduit.financial/customers/{id}/documents"
payload = {
"documentId": "doc_2ofTA13AD0xBtbEvBl20aEb1hEu",
"purpose": "transaction_justification",
"type": "contract",
"name": "Contract"
}
headers = {
"X-API-Key": "<api-key>",
"X-API-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
'X-API-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
documentId: 'doc_2ofTA13AD0xBtbEvBl20aEb1hEu',
purpose: 'transaction_justification',
type: 'contract',
name: 'Contract'
})
};
fetch('https://api.conduit.financial/customers/{id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "doc_2ofTA13AD0xBtbEvBl20aEb1hEu",
"createdAt": "2024-12-31T23:59:59Z"
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}Customers
Upload transaction supporting document
Upload a transaction supporting document for a customer
POST
/
customers
/
{id}
/
documents
Upload transaction supporting document
Authorizations
Includes an API key in the HTTP headers to authenticate the client.
Includes an API secret in the HTTP headers to authenticate the client.
Path Parameters
A valid Customer ID
Pattern:
^cus_[a-zA-Z0-9]{27}$Example:
"cus_2ofTA13AD0xBtbEvBl20aEb1hEu"
Body
application/json
Request to upload a customer document
A valid Document ID
Pattern:
^doc_[a-zA-Z0-9]{27}$Example:
"doc_2ofTAESrTs4uQ8N3yGBMhGj59jV"
Type of document
Available options:
contract, invoice Example:
"contract"
Purpose of the document
Available options:
transaction_justification Example:
"transaction_justification"
⌘I

